# EvStat::stat

(PECL ev >= 0.2.0)

EvStat::stat — Initiates the stat call

### Description

public EvStat::stat ( void ) : bool

Initiates the stat call(updates internal cache). It stats(using lstat ) the path specified in the watcher and sets to the values found.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if path exists. Otherwise `FALSE`.

### See Also

- EvStat::attr() - Returns the values most recently detected by Ev
- EvStat::prev() - Returns the previous set of values returned by EvStat::attr